Page MenuHomeFreeBSD

New port: cad/py-pyfda: GUI tool for designing and analysing discrete time filters
ClosedPublic

Authored by yuri on Feb 2 2018, 8:04 PM.

Details

Summary

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222442

See the screenshot: https://raw.githubusercontent.com/chipmuenk/pyFDA/master/images/pyFDA_screenshot_3.PNG
The patches are mostly due to the fact that pyFDA doesn't have an installation procedure, and expects users to just run locally.

I kept RUN_DEPENDS in the same order as in setup.py. They also seem to be in the order they are used.
Please let me know if alphanumeric sort is preferable here.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Feb 2 2018, 8:04 PM
yuri edited the summary of this revision. (Show Details)Feb 2 2018, 8:04 PM
adamw added inline comments.Feb 3 2018, 4:01 PM
cad/py-pyfda/Makefile
16 ↗(On Diff #38792)

The RUN_DEPENDS should be sorted. If there were a ton of them and it was going to be an obstacle for maintaining them against the upstream list, then unsorted would be fine. But for 4 things, it's worth sorting.

22 ↗(On Diff #38792)

Can the USE_PYTHON be sorted?

45 ↗(On Diff #38792)

Why are all of these REINPLACE_CMDs split after the opening quote? It looks really weird, given that the next line is all one line and contains the closing quote.

Am I missing something? I haven't finished my coffee, so it's entirely possible.

yuri updated this revision to Diff 38826.Feb 3 2018, 8:29 PM
yuri marked 3 inline comments as done.

Sorted depends.

yuri added inline comments.Feb 3 2018, 8:29 PM
cad/py-pyfda/Makefile
22 ↗(On Diff #38792)

mat@ said that these should either be sorted or have the order how they are used.
In this case, they are in their use order.

45 ↗(On Diff #38792)

This allows to have many regexp statements in their own lines without the first one having the quote in front of it.
I actually did this a lot before in other ports.

adamw accepted this revision.Feb 3 2018, 8:35 PM

Fair enough. Makes sense to me!

This revision is now accepted and ready to land.Feb 3 2018, 8:35 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Feb 3 2018, 11:41 PM
head/cad/py-pyfda/Makefile
22

Also, setting noflavors (which is weird, no reason to do it) means that the FLAVOR variable is empty, thus, it makes this port broken because the dependencies line end with @ with no flavor.

yuri added inline comments.Feb 3 2018, 11:44 PM
head/cad/py-pyfda/Makefile
22

But this is an app, not a library. Shouldn't python apps all be noflavors?

mat added inline comments.Feb 5 2018, 10:35 PM
head/cad/py-pyfda/Makefile
22

this has a PKGNAMEPREFIX, nothing against it having noflavors.